AIAI.comAIAI.com
AI Model APIVideosKling format

Kling text-to-video

Generate videos from text descriptions using the Kling model.

Supported models: kling-v1, kling-v1-5, etc.

POST
/kling/v1/videos/text2video

Authorization

BearerAuth

AuthorizationBearer <token>

Use Bearer Token authentication. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

model?string

Model/Style ID

prompt?string

Text description prompt

image?string

Image input (URL or Base64)

duration?number

Video Duration (seconds)

width?integer

Video Width

height?integer

Video height

fps?integer

Video frame rate

seed?integer

Random seed

n?integer

Number of videos generated

response_format?string

Response format

user?string

User Identifier

metadata?

Extended parameters (e.g., negative_prompt, style, quality_level, etc.)

Response Body

application/json

application/json

curl -X POST "https://api.aiai.com/kling/v1/videos/text2video" \  -H "Content-Type: application/json" \  -d '{}'
{
  "task_id": "abcd1234efgh",
  "status": "queued"
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}